Bug 1306668 - slic3r-1.2.9-4.fc24 FTBFS: redefinition of 'struct boost::polygon::coordinate_traits<long int, true>'
slic3r-1.2.9-4.fc24 FTBFS: redefinition of 'struct boost::polygon::coordinate...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: slic3r (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miro Hrončok
Fedora Extras Quality Assurance
https://koji.fedoraproject.org/koji/b...
:
: 1308135 (view as bug list)
Depends On:
Blocks: F24FTBFS
  Show dependency treegraph
 
Reported: 2016-02-11 09:41 EST by Petr Pisar
Modified: 2016-02-23 15:35 EST (History)
4 users (show)

See Also:
Fixed In Version: slic3r-1.2.9-6.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-23 15:35:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2016-02-11 09:41:38 EST
slic3r-1.2.9-4.fc24 fails to build in F24:

gcc -I/usr/lib64/perl5/CORE -fPIC -D_REENTRANT -D_GNU_SOURCE -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -m64 -mtune=generic -fwrapv -fno-strict-aliasing -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -xc++ -D_GLIBCXX_USE_C99 -DHAS_BOOL -DNOGDI -DSLIC3RXS -Isrc -Ibuildtmp -c -D_REENTRANT -D_GNU_SOURCE -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -m64 -mtune=generic -fwrapv -fno-strict-aliasing -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -g -o src/libslic3r/Polyline.o src/libslic3r/Polyline.cpp
In file included from src/libslic3r/Line.hpp:5:0,
                 from src/libslic3r/Polyline.hpp:4,
                 from src/libslic3r/Polyline.cpp:1:
src/libslic3r/Point.hpp:133:12: error: redefinition of 'struct boost::polygon::coordinate_traits<long int, true>'
     struct coordinate_traits<coord_t> {
            ^
In file included from /usr/include/boost/polygon/polygon.hpp:12:0,
                 from src/libslic3r/Point.hpp:127,
                 from src/libslic3r/Line.hpp:5,
                 from src/libslic3r/Polyline.hpp:4,
                 from src/libslic3r/Polyline.cpp:1:
/usr/include/boost/polygon/isotropy.hpp:201:10: error: previous definition of 'struct boost::polygon::coordinate_traits<long int, true>'
   struct coordinate_traits<long, sizeof(long) == sizeof(polygon_long_long_type)> {
          ^

Difference between working and failing build root:

boost-devel 	1.59.0-10.fc24 	> 	1.60.0-2.fc24
	boost-program-options 	1.59.0-10.fc24 	> 	1.60.0-2.fc24
	boost-serialization 	1.59.0-10.fc24 	> 	1.60.0-2.fc24
	boost-container 	1.59.0-10.fc24 	> 	1.60.0-2.fc24
	boost-context 	1.59.0-10.fc24 	> 	1.60.0-2.fc24
	boost-locale 	1.59.0-10.fc24 	> 	1.60.0-2.fc24
	boost-filesystem 	1.59.0-10.fc24 	> 	1.60.0-2.fc24
	boost-coroutine 	1.59.0-10.fc24 	> 	1.60.0-2.fc24
	boost-math 	1.59.0-10.fc24 	> 	1.60.0-2.fc24
	boost-type_erasure 		> 	1.60.0-2.fc24
	boost-timer 	1.59.0-10.fc24 	> 	1.60.0-2.fc24
	boost-graph 	1.59.0-10.fc24 	> 	1.60.0-2.fc24
	boost-regex 	1.59.0-10.fc24 	> 	1.60.0-2.fc24
	libquadmath-devel 		> 	5.3.1-3.fc24
	boost-log 	1.59.0-10.fc24 	> 	1.60.0-2.fc24
	boost-signals 	1.59.0-10.fc24 	> 	1.60.0-2.fc24
	boost 	1.59.0-10.fc24 	> 	1.60.0-2.fc24
	boost-wave 	1.59.0-10.fc24 	> 	1.60.0-2.fc24
	boost-chrono 	1.59.0-10.fc24 	> 	1.60.0-2.fc24
	boost-iostreams 	1.59.0-10.fc24 	> 	1.60.0-2.fc24
	boost-random 	1.59.0-10.fc24 	> 	1.60.0-2.fc24
	boost-atomic 	1.59.0-10.fc24 	> 	1.60.0-2.fc24
	perl-Encode 	3:2.78-2.fc24 	> 	3:2.79-3.fc24
	boost-system 	1.59.0-10.fc24 	> 	1.60.0-2.fc24
	boost-python 	1.59.0-10.fc24 	> 	1.60.0-2.fc24
	boost-test 	1.59.0-10.fc24 	> 	1.60.0-2.fc24
	boost-date-time 	1.59.0-10.fc24 	> 	1.60.0-2.fc24
	libquadmath 		> 	5.3.1-3.fc24
	boost-thread 	1.59.0-10.fc24 	> 	1.60.0-2.fc24
	perl-Params-Validate 	1.21-1.fc24 	> 	1.21-2.fc24
	sqlite 	3.10.0-1.fc24 	> 	3.10.2-1.fc24
Comment 1 Miro Hrončok 2016-02-11 10:33:43 EST
Thanks for the report, I'll look into it.
Comment 2 Petr Pisar 2016-02-15 03:49:31 EST
*** Bug 1308135 has been marked as a duplicate of this bug. ***
Comment 3 Yaakov Selkowitz 2016-02-19 13:51:52 EST
Culprit is boost 1.60.  Mentioned upstream in https://github.com/alexrj/Slic3r/issues/3117 (scroll down to Jan 8).  No fix yet upstream.

Note You need to log in before you can comment on or make changes to this bug.